## avr-libc 1.0.3-1

=== doc/examples/demo/Makefile ===
PRG            = demo
OBJ            = demo.o
MCU_TARGET     = at90s2313
OPTIMIZE       = -O2

DEFS           =
LIBS           =

# You should not have to change anything below here.

CC             = avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) $(DEFS)
override LDFLAGS       = -Wl,-Map,$(PRG).map

OBJCOPY        = avr-objcopy
OBJDUMP        = avr-objdump

all: $(PRG).elf lst text eeprom

$(PRG).elf: $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o $(PRG).elf *.eps *.png *.pdf *.bak 
	rm -rf *.lst *.map $(EXTRA_CLEAN_FILES)

lst:  $(PRG).lst

%.lst: %.elf
	$(OBJDUMP) -h -S $< > $@

# Rules for building the .text rom images

text: hex bin srec

hex:  $(PRG).hex
bin:  $(PRG).bin
srec: $(PRG).srec

%.hex: %.elf
	$(OBJCOPY) -j .text -j .data -O ihex $< $@

%.srec: %.elf
	$(OBJCOPY) -j .text -j .data -O srec $< $@

%.bin: %.elf
	$(OBJCOPY) -j .text -j .data -O binary $< $@

# Rules for building the .eeprom rom images

eeprom: ehex ebin esrec

ehex:  $(PRG)_eeprom.hex
ebin:  $(PRG)_eeprom.bin
esrec: $(PRG)_eeprom.srec

%_eeprom.hex: %.elf
	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O ihex $< $@

%_eeprom.srec: %.elf
	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O srec $< $@

%_eeprom.bin: %.elf
	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O binary $< $@

# Every thing below here is used by avr-libc's build system and can be ignored
# by the casual user.

FIG2DEV                 = fig2dev
EXTRA_CLEAN_FILES       = *.hex *.bin *.srec

dox: eps png pdf

eps: $(PRG).eps
png: $(PRG).png
pdf: $(PRG).pdf

%.eps: %.fig
	$(FIG2DEV) -L eps $< $@

%.pdf: %.fig
	$(FIG2DEV) -L pdf $< $@

%.png: %.fig
	$(FIG2DEV) -L png $< $@

=== debian/changelog ===
avr-libc (1:1.0.3-1) unstable; urgency=low

  * Upstream update

 -- Hakan Ardo <hakan@debian.org>  Mon, 29 Mar 2004 15:08:19 +0200

avr-libc (20030512cvs-1) unstable; urgency=low

  * Updated to 20030512

 -- Hakan Ardo <hakan@debian.org>  Sat, 24 May 2003 13:39:43 +0200

avr-libc (20020203-4) unstable; urgency=low

  * Enabled crtm8.o and crtm128.o (closes: #160290)
  * Secured __port_cbi_sbi_ok macro with parens (closes: #182898)
  * LICENSE file now included (closes: #182899)

 -- Hakan Ardo <hakan@debian.org>  Sat, 15 Mar 2003 10:09:49 +0100

avr-libc (20020203-3) unstable; urgency=low

  * Added avr link in include dir (closes: #173755)
  * Documents and examples now included (closes: #160298)
  * Moved around )s in iomacros.h (closes: #162030, #174505)

 -- Hakan Ardo <hakan@debian.org>  Wed, 26 Feb 2003 18:31:28 +0100

avr-libc (20020203-2) unstable; urgency=low

  * Support for the mega AVRs now restored (avr3,avr4 and avr5)

 -- Hakan Ardo <hakan@debian.org>  Mon, 15 Apr 2002 14:53:38 +0200

avr-libc (20020203-1) unstable; urgency=low

  * New upstream release (closes: #139033)

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Mar 2002 10:23:12 +0100

avr-libc (20010708-4) unstable; urgency=low

  * Updated Build-Depend on gcc to reflect version dependency
    (close: #133366).
  * Changed arch to all (closes: #134443)

 -- Hakan Ardo <hakan@debian.org>  Mon, 11 Mar 2002 15:56:30 +0100

avr-libc (20010708-3) unstable; urgency=low

  * Recompiled with new avr-gcc instead oc avr-linux-gcc

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 16:10:00 +0100

avr-libc (20010708-2) unstable; urgency=low

  * Fixed some spell errors (Bug  #100109)
  * Fixed clean target not to craete dirs (Bug #107089)

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 16:09:35 +0100

avr-libc (20010708-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sat, 14 Jul 2001 12:46:11 +0200

avr-libc (20010331-1) unstable; urgency=low

  * New upstream release.
  * Added Build-Depends

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Apr 2001 19:15:22 +0200

avr-libc (20000514-2) unstable; urgency=low

  * Moved to main

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 13:11:28 +0100

avr-libc (20000514-1) unstable; urgency=low

  * Initial Release.

 -- Hakan Ardo <hakan@debian.org>  Wed, 20 Sep 2000 22:08:40 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: gcc-avr (>=1:3.0.3-3), debmake

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=avr-libc

CNF=CC=avr-gcc AS=avr-as AR=avr-ar RANLIB=avr-ranlib ../configure --prefix=/usr --target=avr --host=avr

build:
	$(checkdir)
	-rm -rf build-avr2
	mkdir build-avr2
	cd build-avr2 && \
		$(CNF) && \
		$(MAKE)
	-rm -rf build-avr3
	mkdir build-avr3
	cd build-avr3 && \
		$(CNF) --with-multisubdir=avr3 && \
		$(MAKE)
	-rm -rf build-avr4
	mkdir build-avr4
	cd build-avr4 && \
		$(CNF) --with-multisubdir=avr4 && \
		$(MAKE)
	-rm -rf build-avr5
	mkdir build-avr5
	cd build-avr5 && \
		$(CNF) --with-multisubdir=avr4 && \
		$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -rf build* avr3 avr4 avr5
	-$(MAKE) clean
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f libc/gnu/Makefile

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
#	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) -C build-avr2 install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C build-avr3 install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C build-avr4 install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C build-avr5 install DESTDIR=`pwd`/debian/tmp
	install -d debian/tmp/usr/share/doc/avr-libc
	cp -ra doc/* debian/tmp/usr/share/doc/avr-libc/
	rm debian/tmp/usr/share/doc/avr-libc/INSTALL debian/tmp/usr/share/doc/avr-libc/ChangeLog
	cp ChangeLog debian/tmp/usr/share/doc/avr-libc/changelog
	mv debian/tmp/usr/share/doc/avr-libc/CHANGES.old changelog.old
	cp LICENSE debian/tmp/usr/share/doc/avr-libc/
	gzip -9 `find debian/tmp/usr/share/doc/avr-libc/ -type f`
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## avr-libc 1.4.5

=== doc/examples/demo/Makefile ===
--- 
+++ 
@@ -1,6 +1,53 @@
 PRG            = demo
 OBJ            = demo.o
-MCU_TARGET     = at90s2313
+#MCU_TARGET     = at90s2313
+#MCU_TARGET     = at90s2333
+#MCU_TARGET     = at90s4414
+#MCU_TARGET     = at90s4433
+#MCU_TARGET     = at90s4434
+#MCU_TARGET     = at90s8515
+#MCU_TARGET     = at90s8535
+#MCU_TARGET     = atmega128
+#MCU_TARGET     = atmega1280
+#MCU_TARGET     = atmega1281
+#MCU_TARGET     = atmega16
+#MCU_TARGET     = atmega163
+#MCU_TARGET     = atmega164p
+#MCU_TARGET     = atmega165
+#MCU_TARGET     = atmega165p
+#MCU_TARGET     = atmega168
+#MCU_TARGET     = atmega169
+#MCU_TARGET     = atmega169p
+#MCU_TARGET     = atmega32
+#MCU_TARGET     = atmega324p
+#MCU_TARGET     = atmega325
+#MCU_TARGET     = atmega3250
+#MCU_TARGET     = atmega329
+#MCU_TARGET     = atmega3290
+#MCU_TARGET     = atmega48
+#MCU_TARGET     = atmega64
+#MCU_TARGET     = atmega640
+#MCU_TARGET     = atmega644
+#MCU_TARGET     = atmega644p
+#MCU_TARGET     = atmega645
+#MCU_TARGET     = atmega6450
+#MCU_TARGET     = atmega649
+#MCU_TARGET     = atmega6490
+MCU_TARGET     = atmega8
+#MCU_TARGET     = atmega8515
+#MCU_TARGET     = atmega8535
+#MCU_TARGET     = atmega88
+#MCU_TARGET     = attiny2313
+#MCU_TARGET     = attiny24
+#MCU_TARGET     = attiny25
+#MCU_TARGET     = attiny26
+#MCU_TARGET     = attiny261
+#MCU_TARGET     = attiny44
+#MCU_TARGET     = attiny45
+#MCU_TARGET     = attiny461
+#MCU_TARGET     = attiny84
+#MCU_TARGET     = attiny85
+#MCU_TARGET     = attiny861
 OPTIMIZE       = -O2
 
 DEFS           =
@@ -22,6 +69,9 @@
 
 $(PRG).elf: $(OBJ)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+# dependency:
+demo.o: demo.c iocompat.h
 
 clean:
 	rm -rf *.o $(PRG).elf *.eps *.png *.pdf *.bak 
@@ -58,13 +108,16 @@
 esrec: $(PRG)_eeprom.srec
 
 %_eeprom.hex: %.elf
-	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O ihex $< $@
+	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O ihex $< $@ \
+	|| { echo empty $@ not generated; exit 0; }
 
 %_eeprom.srec: %.elf
-	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O srec $< $@
+	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O srec $< $@ \
+	|| { echo empty $@ not generated; exit 0; }
 
 %_eeprom.bin: %.elf
-	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O binary $< $@
+	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O binary $< $@ \
+	|| { echo empty $@ not generated; exit 0; }
 
 # Every thing below here is used by avr-libc's build system and can be ignored
 # by the casual user.

=== doc/examples/largedemo/Makefile ===
PRG            = largedemo
OBJ            = largedemo.o
MCU_TARGET     = atmega16
#MCU_TARGET     = atmega8
#MCU_TARGET     = atmega48
#MCU_TARGET     = atmega88
#MCU_TARGET     = atmega168
OPTIMIZE       = -Os

DEFS           =
LIBS           =

# You should not have to change anything below here.

CC             = avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) $(DEFS)
override LDFLAGS       = -Wl,-Map,$(PRG).map

OBJCOPY        = avr-objcopy
OBJDUMP        = avr-objdump

all: $(PRG).elf lst text eeprom

$(PRG).elf: $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o $(PRG).elf *.eps *.png *.pdf *.bak
	rm -rf *.lst *.map $(EXTRA_CLEAN_FILES)

lst:  $(PRG).lst

%.lst: %.elf
	$(OBJDUMP) -h -S $< > $@

# Rules for building the .text rom images

text: hex bin srec

hex:  $(PRG).hex
bin:  $(PRG).bin
srec: $(PRG).srec

%.hex: %.elf
	$(OBJCOPY) -j .text -j .data -O ihex $< $@

%.srec: %.elf
	$(OBJCOPY) -j .text -j .data -O srec $< $@

%.bin: %.elf
	$(OBJCOPY) -j .text -j .data -O binary $< $@

# Rules for building the .eeprom rom images

eeprom: ehex ebin esrec

ehex:  $(PRG)_eeprom.hex
ebin:  $(PRG)_eeprom.bin
esrec: $(PRG)_eeprom.srec

%_eeprom.hex: %.elf
	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O ihex $< $@

%_eeprom.srec: %.elf
	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O srec $< $@

%_eeprom.bin: %.elf
	$(OBJCOPY) -j .eeprom --change-section-lma .eeprom=0 -O binary $< $@

# Every thing below here is used by avr-libc's build system and can be ignored
# by the casual user.

JPEGFILES               = largedemo-setup.jpg largedemo-wiring.jpg \
                          largedemo-wiring2.jpg

JPEG2PNM                = jpegtopnm
PNM2EPS                 = pnmtops
JPEGRESOLUTION          = 180
EXTRA_CLEAN_FILES       = *.hex *.bin *.srec *.eps

dox: ${JPEGFILES:.jpg=.eps}

%.eps: %.jpg
	$(JPEG2PNM) $< |\
	$(PNM2EPS) -noturn -dpi $(JPEGRESOLUTION) -equalpixels \
	> $@

## avr-libc 1.8.0%2bAtmel3.4.5-1

=== debian/changelog ===
avr-libc (1:1.8.0+Atmel3.4.5-1) unstable; urgency=medium

  * Added watch file
  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 01 Apr 2015 20:17:29 +0200

avr-libc (1:1.8.0+Atmel3.4.4-1) unstable; urgency=medium

  * New upstream release from Atmel-AVR-GNU-Toolchain v3.4.4
    (http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-
    Toolchain/3.4.4/) (closes: #740391, #739953, #695514, #719635)
  * Moved manpages to the 3avr section of /usr/share/man
  * Added avr-man manpage (closes: #733939)
  * Added build-arch and build-indep targets
  * Moved build to binary-indep target
  * Increased standards version to 3.9.5
  * Added ${misc:Depends} dependency
  * Applied upstream fix to make pgmspace.h ansi compatible (closes:
    #675759)

 -- Hakan Ardo <hakan@debian.org>  Tue, 03 Jun 2014 14:25:22 +0200

avr-libc (1:1.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724351)

 -- Eric Dorland <eric@debian.org>  Sun, 02 Mar 2014 18:14:01 -0500

avr-libc (1:1.8.0-4) unstable; urgency=low

  * Recompiled with gcc 4.8

 -- Hakan Ardo <hakan@debian.org>  Sat, 05 Oct 2013 15:54:43 +0200

avr-libc (1:1.8.0-3) unstable; urgency=low

  * Move man pages to /usr/share/doc/avr-libc/man (closes: #678584,
    #677059)

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2012 07:31:00 +0200

avr-libc (1:1.8.0-2) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 23 May 2012 10:30:07 +0200

avr-libc (1:1.8.0-1) experimental; urgency=low

  * new upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu, 22 Mar 2012 21:01:33 +0100

avr-libc (1:1.7.1-3) experimental; urgency=low

  * recompiled with gcc 4.7

 -- Hakan Ardo <hakan@debian.org>  Thu, 22 Mar 2012 20:43:05 +0100

avr-libc (1:1.7.1-2) unstable; urgency=low

  * include/util/delay.h.in: Add math.h to list of includes (closes:
    #633822)

 -- Hakan Ardo <hakan@debian.org>  Thu, 14 Jul 2011 11:15:32 +0200

avr-libc (1:1.7.1-1) unstable; urgency=low

  * New upstream release (closes: #626119)
  * Now build-depends on doxygen-latex (closes: #616199)

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Jul 2011 16:46:05 +0200

avr-libc (1:1.6.8-2) unstable; urgency=low

  * Recompiled with new toolchain
  * Added ATmega325P to wdt.h (closes: #587574)

 -- Hakan Ardo <hakan@debian.org>  Fri, 30 Jul 2010 10:55:29 +0200

avr-libc (1:1.6.8-1) unstable; urgency=low

  * New upstream release 
  * Replaced builddep on gs-gpl with ghostscript
  * Autotools executed during build.
  * Now build-depends on doxygen >= 1.6.2 
  * Errors in first two latex passes ignored (closes: #562312)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Feb 2010 11:54:12 +0100

avr-libc (1:1.6.7-1) unstable; urgency=low

  * New upstream relese (closes: #544030)
  * Added lintian overrides (closes: #553265)

 -- Hakan Ardo <hakan@debian.org>  Sat, 31 Oct 2009 11:52:10 +0100

avr-libc (1:1.6.2.cvs20080610-2) unstable; urgency=low

  * Added build-depends on texlive-extra-utils (closes: #493454)

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Aug 2008 09:59:16 +0200

avr-libc (1:1.6.2.cvs20080610-1) unstable; urgency=low

  * New upstream release: WinAVR-20080610

 -- Hakan Ardo <hakan@debian.org>  Sat, 19 Jul 2008 11:18:39 +0200

avr-libc (1:1.6.2-2) unstable; urgency=low

  * Recompiled with new gcc to add support for avr6
  * Moved /usr/avr to /usr/lib/avr (closes: #486844)
  * pdf manual index now has pagenumbers (closes: #486219)

 -- Hakan Ardo <hakan@debian.org>  Wed, 02 Jul 2008 13:53:45 +0200

avr-libc (1:1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Fri, 04 Apr 2008 17:05:32 +0200

avr-libc (1:1.6.1-1) unstable; urgency=low

  * New upstream release (closes: #464622)

 -- Hakan Ardo <hakan@debian.org>  Fri, 08 Feb 2008 14:58:42 +0100

avr-libc (1:1.4.7-1) unstable; urgency=low

  * New upstream release (closes: #410831, #420163, #421088, #452199, #394231)
  * Replaced tetex packages with texlive in Build-Depends (closes:
    #427266)
  * Now ignores returnstatus of pdflatex when generating docs to prevent
    the build processing from halting on latex warnings (closes:
    #427266)

 -- Hakan Ardo <hakan@debian.org>  Sat, 29 Dec 2007 16:20:03 +0100

avr-libc (1:1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu,  9 Aug 2007 11:28:01 +0200

avr-libc (1:1.4.5-3) unstable; urgency=low

  * Recompiled with new gcc/binutils
  * Fixed build-depends (closes: #420060)

 -- Hakan Ardo <hakan@debian.org>  Sun, 22 Apr 2007 17:52:23 +0200

avr-libc (1:1.4.5-2) unstable; urgency=low

  * Convertion to debheler fixed (closes: #398220)
  * Reference to /usr/share/common-licenses in copyright file

 -- Hakan Ardo <hakan@debian.org>  Wed, 15 Nov 2006 21:12:47 +0100

avr-libc (1:1.4.5-1) unstable; urgency=low

  * New upstream release
  * Converted from debmake to debhelper (closes: #373000)

 -- Hakan Ardo <hakan@debian.org>  Wed,  1 Nov 2006 07:32:23 +0100

avr-libc (1:1.4.4-2) unstable; urgency=low

  * Recompiled with gcc-4.1

 -- Hakan Ardo <hakan@debian.org>  Mon,  1 May 2006 12:03:39 +0200

avr-libc (1:1.4.4-1) unstable; urgency=low

  * New upstream release (closes: #355631, #360685)

 -- Hakan Ardo <hakan@debian.org>  Mon, 24 Apr 2006 20:43:52 +0200

avr-libc (1:1.4.3-1) unstable; urgency=low

  * New upstream release (closes: #350536,#299881). Older versions of avr-libc 
    are avalible as avr-libc-1.2 and avr-libc-1.0.

 -- Hakan Ardo <hakan@debian.org>  Sun,  5 Feb 2006 11:29:51 +0100

avr-libc (1:1.2.3-3) unstable; urgency=low

  * Added build depends on netpbm
  * Added build depends on tetex-extra

 -- Hakan Ardo <hakan@debian.org>  Sat, 19 Mar 2005 11:16:14 +0100

avr-libc (1:1.2.3-2) unstable; urgency=low

  * Added gs to Build-Depends

 -- Hakan Ardo <hakan@debian.org>  Wed,  2 Mar 2005 07:05:20 +0100

avr-libc (1:1.2.3-1) unstable; urgency=low

  * Upstream release



=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.9.5
Build-Depends: gcc-avr (>=1:4.8.1+Atmel3.4.5), binutils-avr (>=2.24+Atmel3.4.5), debhelper (>=5), doxygen-latex (>=1.8.7), doxygen (>=1.8.7), transfig, ghostscript, netpbm, x11-common, autotools-dev, autoconf2.59, automake1.11, unzip

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},  gcc-avr (>=1:4.8.1+Atmel3.4.5), binutils-avr (>=2.24+Atmel3.4.5)
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=avr-libc

SRC=avr-libc

unpack: unpack-stamp
unpack-stamp:
	tar xf avr-libc-*.tar.bz2
	unzip avr8-headers-*.zip
	touch unpack-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	cp avr/*.h $(SRC)/include/avr/
	sed -i -s 's/^MAN_EXTENSION.*/MAN_EXTENSION = .3avr/'  \
		$(SRC)/doc/api/doxygen.config.in
	echo 'MAN_SUBDIR = man3' >> $(SRC)/doc/api/doxygen.config.in
	sed -i -s 's/man\/man3\/\*.3/man\/man3\/\*.3avr/' \
		$(SRC)/doc/api/Makefile.am
	cd $(SRC) && patch -p0 < ../debian/bug_675759.patch
	patch -p0 < debian/ignore_latext_exit_code.patch
	touch patch-stamp

build: build-stamp
build-stamp: patch-stamp
	$(checkdir)
	cd $(SRC) && ./bootstrap
	cd $(SRC) && ./configure --build=`./config.guess` --host=avr \
	    --prefix=/usr/lib \
	    --disable-versioned-doc --enable-doc \
	    --disable-ps-doc --datadir=/usr/share --bindir=/usr/bin \
	    --mandir=/usr/share/man 

	cd $(SRC) && make
	touch build-stamp

build-arch: build
build-indep: build

clean:
	$(checkdir)
	-rm -rf build-stamp unpack-stamp patch-stamp avr $(SRC)
	-rm -rf debian/tmp debian/files* core debian/substvars
	-dh_clean

binary-indep: checkroot build
	$(checkdir)
	RGBDEF=/etc/X11/rgb.txt make -C $(SRC) install DESTDIR=`pwd`/debian/$(package)
	cp $(SRC)/NEWS debian/$(package)/usr/share/doc/$(package)/changelog
	install -d debian/$(package)/usr/share/lintian/overrides
	cp debian/lintian_overrides debian/$(package)/usr/share/lintian/overrides/$(package)
	mv debian/avr-libc/usr/lib/bin debian/avr-libc/usr/
	install -d debian/avr-libc/usr/share/man/man1
	cp debian/avr-man.1 debian/avr-libc/usr/share/man/man1
	cp debian/avr-man debian/avr-libc/usr/bin/

	dh_installchangelogs
	dh_installdocs
	dh_installman 
	dh_compress
	dh_fixperms
	dh_installdeb

	dh_md5sums
	dh_gencontrol
	dh_builddeb

binary-arch: checkroot build

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## avr-libc 2.0.0+Atmel3.6.2

=== libc/avr-libc/doc/examples/twitest/Makefile ===
#
# $Id$
#
CC= avr-gcc
#MCU=atmega8
#MCU=atmega16
#MCU=atmega32
#MCU=atmega163
#MCU=atmega323
MCU=atmega128

CFLAGS=  -O -g -Wall -ffreestanding -mmcu=$(MCU)

.SUFFIXES: .s .bin .out .hex .srec

.c.s:
	$(CC) $(CFLAGS) -S $<

.S.o:
	$(CC) $(ASFLAGS) -c $<

.o.out:
	$(CC) $(CFLAGS) -o $@ $<

.out.bin:
	avr-objcopy -O binary $< $@

.out.hex:
	avr-objcopy -O ihex $< $@

.out.srec:
	avr-objcopy -O srec $< $@

all:	twitest.bin

OBJS=twitest.o
twitest.out: $(OBJS)
	$(CC) -o twitest.out $(CFLAGS) $(LDFLAGS) $(OBJS) $(LDLIBS)

clean:
	rm -f *~ *.out *.bin *.hex *.srec *.s *.o *.pdf *core

## avr-libc 2.0.0+Atmel3.7.0

=== debian/changelog ===
avr-libc (1:2.0.0+Atmel3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Adopt package (Closes: #1055331)
  * Increased standards version to 4.6.2
  * Update watch file
  * d/patches - rework for 3.7.0

 -- Steve Meliza <swm@swm1.com>  Fri, 24 Nov 2023 15:59:10 -0800

avr-libc (1:2.0.0+Atmel3.6.2-5) unstable; urgency=medium

  * Convert to source format 3.0 (Closes: #1039478)

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 12:53:06 +0100

avr-libc (1:2.0.0+Atmel3.6.2-4) unstable; urgency=medium

  * Remove versions from automake and doxygen B-D (Closes: #865150)
  * Adopt package (Closes: #969205)

  [ Debian Janitor ]
  * Explicitly specify source format.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Bastian Germann <bage@debian.org>  Thu, 22 Jun 2023 22:38:11 +0200

avr-libc (1:2.0.0+Atmel3.6.2-3) unstable; urgency=medium

  * Bump debhelper compat to 7 (closes: #965428)

 -- Hakan Ardo <hakan@debian.org>  Fri, 07 Jan 2022 13:18:49 +0100

avr-libc (1:2.0.0+Atmel3.6.2-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Hakan Ardo <hakan@debian.org>  Fri, 11 Dec 2020 15:00:22 +0100

avr-libc (1:2.0.0+Atmel3.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Nov 2020 08:22:47 +0100

avr-libc (1:2.0.0+Atmel3.6.1-2) unstable; urgency=medium

  [ Hakan Ardo ]
  * Fix latex errors (closes: #921775)

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

 -- Hakan Ardo <hakan@debian.org>  Sat, 16 Feb 2019 16:54:38 +0100

avr-libc (1:2.0.0+Atmel3.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu, 28 Jun 2018 12:03:45 +0200

avr-libc (1:2.0.0+Atmel3.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Fri, 04 Aug 2017 19:22:45 +0200

avr-libc (1:2.0.0+Atmel3.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replaced the versioned build-dependency on autoconf2.59 by a
    dependency on autoconf, which closes: #859535

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jul 2017 10:03:02 +0200

avr-libc (1:2.0.0+Atmel3.5.4-1) unstable; urgency=medium

  * New upstream release (closes: #779495, #787715, #762303, #785797)

 -- Hakan Ardo <hakan@debian.org>  Wed, 05 Apr 2017 19:32:00 +0200

avr-libc (1:1.8.0+Atmel3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Add configure option --enable-device-lib

 -- Hakan Ardo <hakan@debian.org>  Fri, 11 Dec 2015 16:58:02 +0100

=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Standards-Version: 4.6.2
Homepage: https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers
Build-Depends: gcc-avr (>= 7.3.0+Atmel3.7.0), binutils-avr (>= 2.26.20160125+Atmel3.7.0), debhelper-compat (= 13), doxygen-latex, doxygen, transfig, ghostscript, netpbm, x11-common, autoconf, automake, unzip
Vcs-Browser: https://salsa.debian.org/debian/avr-libc
Vcs-Git: https://salsa.debian.org/debian/avr-libc.git

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},  gcc-avr (>= 7.3.0+Atmel3.7.0), binutils-avr (>=2.26.20160125+Atmel3.7.0)
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.

=== debian/rules ===
--- 
+++ 
@@ -4,35 +4,17 @@
 
 package=avr-libc
 
-SRC=avr-libc
-
-unpack: unpack-stamp
-unpack-stamp:
-	tar xf avr-libc-*.tar.bz2
-	unzip avr8-headers-*.zip
-	touch unpack-stamp
-
-patch: patch-stamp
-patch-stamp: unpack-stamp
-	cp avr/*.h $(SRC)/include/avr/
-	sed -i -s 's/^MAN_EXTENSION.*/MAN_EXTENSION = .3avr/'  \
-		$(SRC)/doc/api/doxygen.config.in
-	echo 'MAN_SUBDIR = man3' >> $(SRC)/doc/api/doxygen.config.in
-	sed -i -s 's/man\/man3\/\*.3/man\/man3\/\*.3avr/' \
-		$(SRC)/doc/api/Makefile.am
-	cd $(SRC) && patch -p0 < ../debian/bug_675759.patch
-	patch -p0 < debian/ignore_latext_exit_code.patch
-	touch patch-stamp
+SRC=libc/avr-libc
 
 build: build-stamp
-build-stamp: patch-stamp
+build-stamp:
 	$(checkdir)
 	cd $(SRC) && ./bootstrap
 	cd $(SRC) && ./configure --build=`./config.guess` --host=avr \
-	    --prefix=/usr/lib \
+	    --prefix=/usr/lib --enable-device-lib \
 	    --disable-versioned-doc --enable-doc \
-	    --disable-ps-doc --datadir=/usr/share --bindir=/usr/bin \
-	    --mandir=/usr/share/man 
+	    --datadir=/usr/share --bindir=/usr/bin \
+	    --mandir=/usr/share/man
 
 	cd $(SRC) && make
 	touch build-stamp
@@ -42,8 +24,10 @@
 
 clean:
 	$(checkdir)
-	-rm -rf build-stamp unpack-stamp patch-stamp avr $(SRC)
+	[ ! -f Makefile ] || make -C $(SRC) distclean
 	-rm -rf debian/tmp debian/files* core debian/substvars
+	-rm -f build-stamp
+	-rm -rf libc/avr-libc/avr
 	-dh_clean
 
 binary-indep: checkroot build
@@ -59,7 +43,7 @@
 
 	dh_installchangelogs
 	dh_installdocs
-	dh_installman 
+	dh_installman
 	dh_compress
 	dh_fixperms
 	dh_installdeb

=== debian/watch ===
version=4
opts="dversionmangle=s/2\.0\.0\+Atmel//" \
https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers \
https://ww1.microchip.com/downloads/aemDocuments/documents/DEV/ProductDocuments/SoftwareTools/avr8-gnu-toolchain-(.+)\..+-linux\.any\.x86_64@ARCHIVE_EXT@

## avr-libc 2.2.1

=== debian/changelog ===
avr-libc (1:2.2.1-1) unstable; urgency=low

  * New upstream release from mainline (Closes: 867235, 930195, 959901)
  * d/rules: Don't require root (Closes: 1089288)
  * Switch over to dh sequencer

  [Keith Packard]
  * d/patches: Fix creation of user manual
  * d/lintian_overrides: Add additional overrides

 -- Steve Meliza <swm@swm1.com>  Sun, 22 Dec 2024 18:18:47 -0800

=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Standards-Version: 4.7.0
Homepage: https://avrdudes.github.io/avr-libc/
Rules-Requires-Root: no
Build-Depends: gcc-avr, binutils-avr, debhelper-compat (= 13), doxygen-latex, doxygen, transfig, ghostscript, netpbm, x11-common, autoconf, automake, unzip
Vcs-Browser: https://salsa.debian.org/debian/avr-libc
Vcs-Git: https://salsa.debian.org/debian/avr-libc.git

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-avr, binutils-avr
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=avr-libc

%:
	dh $@


override_dh_autoreconf:


override_dh_auto_configure:
	$(checkdir)
	./bootstrap
	./configure --build=`./config.guess` --host=avr \
	    --prefix=/usr/lib --enable-device-lib \
	    --disable-versioned-doc --enable-doc \
	    --datadir=/usr/share --bindir=/usr/bin \
	    --mandir=/usr/share/man

override_dh_auto_clean:
	$(checkdir)
	[ ! -f Makefile ] || make distclean
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -rf avr avr-libc
	-rm -f Makefile.in common/Makefile.in crt1/Makefile.in crt1/iosym/Makefile.in 
	-rm -f devtools/Makefile.in doc/Makefile.in doc/api/Makefile.in doc/examples/Makefile.in
	-rm -f include/Makefile.in include/avr/Makefile.in include/compat/Makefile.in
	-rm -f include/sys/Makefile.in include/util/Makefile.in libc/Makefile.in
	-rm -f libc/misc/Makefile.in libc/pmstring/Makefile.in libc/stdio/Makefile.in
	-rm -f libc/stdlib/Makefile.in libc/string/Makefile.in libc/time/Makefile.in
	-rm -f libm/Makefile.in libm/fplib/Makefile.in scripts/Makefile.in
	-rm -f aclocal.m4 devices.m4 devlist.m4 files.m4 multilib.m4
	-rm -f compile config.guess config.h.in config.sub configure depcomp install-sh
	-rm -f devtools/config.log devtools/config.status devtools/gen-avr-lib-tree.sh
	-rm -f missing tmp-core-info tmp-device-info
	-dh_clean

override_dh_auto_install:
	$(checkdir)
	RGBDEF=/etc/X11/rgb.txt make install DESTDIR=`pwd`/debian/$(package)
	cp NEWS debian/$(package)/usr/share/doc/$(package)/changelog
	install -d debian/$(package)/usr/share/lintian/overrides
	cp debian/lintian_overrides debian/$(package)/usr/share/lintian/overrides/$(package)
	mv debian/avr-libc/usr/lib/bin debian/avr-libc/usr/
	install -d debian/avr-libc/usr/share/man/man1
	cp debian/avr-man.1 debian/avr-libc/usr/share/man/man1
	cp debian/avr-man debian/avr-libc/usr/bin/

	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb

	dh_md5sums
	dh_gencontrol
	dh_builddeb

define checkdir
	test -f debian/rules
endef

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.bz2%" \
https://api.github.com/repos/avrdudes/avr-libc/releases?per_page=100 \
https://github.com/[^/]+/[^/]+/releases/download/avr-libc-\d_\d_\d-release/avr-libc-@ANY_VERSION@@ARCHIVE_EXT@
